%{?nodejs_find_provides_and_requires}

%global packagename time-diff
%global enable_tests 1

Name:		nodejs-time-diff
Version:	0.3.1
Release:	7%{?dist}
Summary:	Returns the formatted time difference between start and end times

License:	MIT
URL:		https://github.com/jonschlinkert/time-diff
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
Source1:	https://raw.githubusercontent.com/jonschlinkert/time-diff/master/test.js


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(extend-shallow)
BuildRequires:	npm(log-utils)
BuildRequires:	npm(pretty-time)
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(info-symbol)
BuildRequires:	npm(success-symbol)
BuildRequires:	npm(strip-color)
BuildRequires:	npm(warning-symbol)
%endif

%description
Returns the formatted, high-resolution time difference between start and
end times.


%prep
%autosetup -n package
# setup the tests
cp -p %{SOURCE1} .

# allow newer npm(log-utils)
%nodejs_fixdep log-utils

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Apr 14 2017 Jared Smith <jsmith@fedoraproject.org> - 0.3.1-2
- Initial packaging
